Subject: Weird behavior of git rev-parse

From: Yakup Akbay <[email-masked]>
Date: Tue, 14 Jul 2009 10:20:47 +0300

Hi,

instead of `git rev-list -2 HEAD` I've tried `git rev-parse -2 HEAD` 
just to see the effect of -N in rev-parse, but I've got this output:

    -2
    0294cdd1e2c5535f5b87eff4a1aff3390e03af39

Then I've tried

    $ git rev-parse -'hi, this is a test!'

the output is:

    -hi, this is a test!

Is this an expected behavior?

Another questions is, usage is printed if you omit the commit id in git 
rev-list (E.g. `git rev-list -2`). Is there a reason why HEAD is not 
taken as the default?

Regards,
Yakup